<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">

    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <fo:layout-master-set>
        <fo:simple-page-master master-name="Loan" page-width="8.5in" page-height="11.0in" margin="1.6in">
          <fo:region-body/>
        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence master-name="Loan">
        <fo:flow flow-name="xsl-region-body">

          <fo:block font-size="24pt" space-after="0.25in">
            Loan
          </fo:block>

          <fo:block space-after="0.25in">
            This loan is for $<xsl:value-of select="loan/@principal"/> over a period of <xsl:value-of select="loan/@termInMonths"/> months. The interest rate is <xsl:value-of select="loan/@interestRate"/>% and the monthly payment is $<xsl:value-of select="loan/@monthlyPayment"/>.
          </fo:block>

          <fo:block>
            <fo:external-graphic content-width="485px" content-height="290px" src="120MonthLoan_Advanced.svg"/>
          </fo:block>

        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
